#ifndef _VBOFORMATCONVERTER_H
#define _VBOFORMATCONVERTER_H

#include "SimpleVec.h"
#include <string>
#include <vector>


typedef std::vector<SimpleVec> VertexArray;
typedef std::pair<float, float> Texcoord;

class ogzstream;

/** Converts obj format into objects readable by our format
*/
class VboFormatConverter
{
public:

	VboFormatConverter();

	bool Convert(const std::string &inputFilename, 
		         const std::string &outputFilename);
				 //const std::string textureFilename) const;

	~VboFormatConverter();

protected:

	struct Geometry
	{
		SimpleVec *mVertices;
		SimpleVec *mNormals;
		Texcoord *mTexcoords;

		int mVertexCount;
		int mTexcoordCount;
	};

	void WriteGeometry(ogzstream &str, Geometry *geom);

	bool ReadFile(const std::string &inputFilename);
	bool WriteFile(const std::string &outputFilename);


	std::vector<Geometry *> mGeometry;

	int mNumShapes;
};



#endif
